      subroutine factor (f)
C
C  sets plot sizing factor -
C    if f = 2.0 then all subsequent pen movements will be twice normal size
C    if f is reset to 1.0, all plotting returns to normal size
C  James Blake
C @(#)factor.f	1.1  4/3/89 
C 
      include 'device_type.h'
      common /tscale/ sfactt
      common /cqpbnf/ xold, yold, fac, ires
C
      if (color_ws .or. mono_ws) then
         sfactt = f
      elseif (PostScript) then
	 fac = f
      endif
      return
      end
